Bug 1875388 - IPv6 no longer works on baremetal IPI
Summary: IPv6 no longer works on baremetal IPI
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Antoni Segura Puimedon
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 12:41 UTC by Stephen Benjamin
Modified: 2020-09-09 07:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2058 None closed Bug 1875388: Have ovs-configuration.service run before node-valid-hostname 2020-09-22 09:40:24 UTC

Description Stephen Benjamin 2020-09-03 12:41:47 UTC
Description of problem:

baremetal IPI deployments are still failing after the shared gateway fixes (BZ1866464).

Installer reports:

level=error msg="Cluster operator network Degraded is True with BootstrapError: Internal error while reconciling platform networking resources: Unable to bootstrap OVN, expected amount of control plane nodes (3) do not match found (1): timed out waiting for the condition"

It appears control plane hosts are coming up without hostnames.

Version-Release number of selected component (if applicable):

Latest 4.6 builds

How reproducible:

Always


Steps to Reproduce:
1. Attempt to install OCP baremetal IPI with IPv6 external network

Comment 1 Stephen Benjamin 2020-09-03 12:42:38 UTC
You can examine logs gathered in https://github.com/openshift/release/pull/11177, I also have an environment exhibiting this problem if anyone wants to look.


Note You need to log in before you can comment on or make changes to this bug.